Models - List

List Models.

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.CognitiveServices/locations/{location}/models?api-version=2024-10-01

URI Parameters

Name In Required Type Description
location
path True

string

Resource location.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ModelListResult

OK.

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Examples

ListLocationModels

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.CognitiveServices/locations/WestUS/models?api-version=2024-10-01

Sample response

{
  "value": [
    {
      "kind": "OpenAI",
      "skuName": "S0",
      "model": {
        "format": "OpenAI",
        "name": "ada",
        "version": "1",
        "maxCapacity": 3,
        "capabilities": {
          "fineTune": "true",
          "inference": "false",
          "scaleType": "Manual",
          "completion": "true",
          "search": "true",
          "FineTuneTokensMaxValue": "37500000"
        },
        "finetuneCapabilities": {
          "fineTune": "true",
          "inference": "false",
          "scaleType": "Manual,Standard",
          "completion": "true",
          "search": "true",
          "FineTuneTokensMaxValue": "37500000"
        },
        "deprecation": {
          "fineTune": "2024-01-01T00:00:00Z",
          "inference": "2024-01-01T00:00:00Z"
        },
        "lifecycleStatus": "Preview",
        "systemData": {
          "createdBy": "Microsoft",
          "createdAt": "2021-10-07T00:00:00Z",
          "lastModifiedBy": "Microsoft",
          "lastModifiedAt": "2021-10-07T00:00:00Z"
        },
        "skus": [
          {
            "name": "provisioned",
            "usageName": "OpenAI.Provisioned.Class1",
            "capacity": {
              "minimum": 100,
              "maximum": 1000,
              "step": 100,
              "default": 100
            }
          }
        ]
      }
    }
  ]
}

Definitions

Name Description
AccountModel

Cognitive Services account Model.

BillingMeterInfo
CallRateLimit

The call rate limit Cognitive Services account.

CapacityConfig

The capacity configuration.

createdByType

The type of identity that created the resource.

DeploymentModel

Properties of Cognitive Services account deployment model.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

Model

Cognitive Services Model.

ModelDeprecationInfo

Cognitive Services account ModelDeprecationInfo.

ModelLifecycleStatus

Model lifecycle status.

ModelListResult

The list of cognitive services models.

ModelSku

Describes an available Cognitive Services Model SKU.

RequestMatchPattern
systemData

Metadata pertaining to creation and last modification of the resource.

ThrottlingRule

AccountModel

Cognitive Services account Model.

Name Type Description
baseModel

DeploymentModel

Properties of Cognitive Services account deployment model.

callRateLimit

CallRateLimit

The call rate limit Cognitive Services account.

capabilities

object

The capabilities.

deprecation

ModelDeprecationInfo

Cognitive Services account ModelDeprecationInfo.

finetuneCapabilities

object

The capabilities for finetune models.

format

string

Deployment model format.

isDefaultVersion

boolean

If the model is default version.

lifecycleStatus

ModelLifecycleStatus

Model lifecycle status.

maxCapacity

integer (int32)

The max capacity.

name

string

Deployment model name.

publisher

string

Deployment model publisher.

skus

ModelSku[]

The list of Model Sku.

source

string

Optional. Deployment model source ARM resource ID.

sourceAccount

string (arm-id)

Optional. Source of the model, another Microsoft.CognitiveServices accounts ARM resource ID.

systemData

systemData

Metadata pertaining to creation and last modification of the resource.

version

string

Optional. Deployment model version. If version is not specified, a default version will be assigned. The default version is different for different models and might change when there is new version available for a model. Default version for a model could be found from list models API.

BillingMeterInfo

Name Type Description
meterId

string

name

string

unit

string

CallRateLimit

The call rate limit Cognitive Services account.

Name Type Description
count

number

The count value of Call Rate Limit.

renewalPeriod

number

The renewal period in seconds of Call Rate Limit.

rules

ThrottlingRule[]

CapacityConfig

The capacity configuration.

Name Type Description
allowedValues

integer[] (int32)

The array of allowed values for capacity.

default

integer (int32)

The default capacity.

maximum

integer (int32)

The maximum capacity.

minimum

integer (int32)

The minimum capacity.

step

integer (int32)

The minimal incremental between allowed values for capacity.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DeploymentModel

Properties of Cognitive Services account deployment model.

Name Type Description
callRateLimit

CallRateLimit

The call rate limit Cognitive Services account.

format

string

Deployment model format.

name

string

Deployment model name.

publisher

string

Deployment model publisher.

source

string

Optional. Deployment model source ARM resource ID.

sourceAccount

string (arm-id)

Optional. Source of the model, another Microsoft.CognitiveServices accounts ARM resource ID.

version

string

Optional. Deployment model version. If version is not specified, a default version will be assigned. The default version is different for different models and might change when there is new version available for a model. Default version for a model could be found from list models API.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

Model

Cognitive Services Model.

Name Type Description
description

string

The description of the model.

kind

string

The kind (type) of cognitive service account.

model

AccountModel

Cognitive Services account Model.

skuName

string

The name of SKU.

ModelDeprecationInfo

Cognitive Services account ModelDeprecationInfo.

Name Type Description
fineTune

string

The datetime of deprecation of the fineTune Model.

inference

string

The datetime of deprecation of the inference Model.

ModelLifecycleStatus

Model lifecycle status.

Value Description
Stable
Preview
GenerallyAvailable
Deprecating
Deprecated

ModelListResult

The list of cognitive services models.

Name Type Description
nextLink

string

The link used to get the next page of Model.

value

Model[]

Gets the list of Cognitive Services accounts Model and their properties.

ModelSku

Describes an available Cognitive Services Model SKU.

Name Type Description
capacity

CapacityConfig

The capacity configuration.

cost

BillingMeterInfo[]

The list of billing meter info.

deprecationDate

string (date-time)

The datetime of deprecation of the model SKU.

name

string

The name of the model SKU.

rateLimits

CallRateLimit[]

The list of rateLimit.

usageName

string

The usage name of the model SKU.

RequestMatchPattern

Name Type Description
method

string

path

string

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

ThrottlingRule

Name Type Description
count

number

dynamicThrottlingEnabled

boolean

key

string

matchPatterns

RequestMatchPattern[]

minCount

number

renewalPeriod

number